Index: svn/src/northbridge/intel/i945/raminit.c
===================================================================
--- svn.orig/src/northbridge/intel/i945/raminit.c
+++ svn/src/northbridge/intel/i945/raminit.c
@@ -25,7 +25,7 @@
 
 /* Debugging macros. */
 #if CONFIG_DEBUG_RAM_SETUP
-#define PRINTK_DEBUG(x...)	printk(BIOS_DEBUG, x)
+#define PRINTK_DEBUG(x...)	printk(DEBUG, x)
 #else
 #define PRINTK_DEBUG(x...)
 #endif
@@ -74,12 +74,12 @@ static void ram_read32(u32 offset)
 static void sdram_dump_mchbar_registers(void)
 {
 	int i;
-	printk(BIOS_DEBUG, "Dumping MCHBAR Registers\n");
+	printk(DEBUG, "Dumping MCHBAR Registers\n");
 
 	for (i=0; i<0xfff; i+=4) {
 		if (MCHBAR32(i) == 0)
 			continue;
-		printk(BIOS_DEBUG, "0x%04x: 0x%08x\n", i, MCHBAR32(i));
+		printk(DEBUG, "0x%04x: 0x%08x\n", i, MCHBAR32(i));
 	}
 }
 #endif
@@ -94,7 +94,7 @@ static int memclk(void)
 	case 1: return 400;
 	case 2: return 533;
 	case 3: return 667;
-	default: printk(BIOS_DEBUG, "memclk: unknown register value %x\n", ((MCHBAR32(CLKCFG) >> 4) & 7) - offset);
+	default: printk(DEBUG, "memclk: unknown register value %x\n", ((MCHBAR32(CLKCFG) >> 4) & 7) - offset);
 	}
 	return -1;
 }
@@ -106,7 +106,7 @@ static int fsbclk(void)
 	case 0: return 400;
 	case 1: return 533;
 	case 3: return 667;
-	default: printk(BIOS_DEBUG, "fsbclk: unknown register value %x\n", MCHBAR32(CLKCFG) & 7);
+	default: printk(DEBUG, "fsbclk: unknown register value %x\n", MCHBAR32(CLKCFG) & 7);
 	}
 	return -1;
 }
@@ -118,7 +118,7 @@ static int fsbclk(void)
 	case 0: return 1066;
 	case 1: return 533;
 	case 2: return 800;
-	default: printk(BIOS_DEBUG, "fsbclk: unknown register value %x\n", MCHBAR32(CLKCFG) & 7);
+	default: printk(DEBUG, "fsbclk: unknown register value %x\n", MCHBAR32(CLKCFG) & 7);
 	}
 	return -1;
 }
@@ -237,7 +237,7 @@ static void sdram_detect_errors(void)
 
 	if (reg8 & ((1<<7)|(1<<2))) {
 		if (reg8 & (1<<2)) {
-			printk(BIOS_DEBUG, "SLP S4# Assertion Width Violation.\n");
+			printk(DEBUG, "SLP S4# Assertion Width Violation.\n");
 			/* Write back clears bit 2 */
 			pci_write_config8(PCI_DEV(0, 0x1f, 0), 0xa2, reg8);
 			do_reset = 1;
@@ -245,7 +245,7 @@ static void sdram_detect_errors(void)
 		}
 
 		if (reg8 & (1<<7)) {
-			printk(BIOS_DEBUG, "DRAM initialization was interrupted.\n");
+			printk(DEBUG, "DRAM initialization was interrupted.\n");
 			reg8 &= ~(1<<7);
 			pci_write_config8(PCI_DEV(0, 0x1f, 0), 0xa2, reg8);
 			do_reset = 1;
@@ -257,7 +257,7 @@ static void sdram_detect_errors(void)
 		pci_write_config8(PCI_DEV(0, 0x1f, 0), 0xa4, reg8);
 
 		if (do_reset) {
-			printk(BIOS_DEBUG, "Reset required.\n");
+			printk(DEBUG, "Reset required.\n");
 			outb(0x00, 0xcf9);
 			outb(0x0e, 0xcf9);
 			for (;;) asm("hlt"); /* Wait for reset! */
@@ -303,10 +303,10 @@ static void sdram_get_dram_configuration
 
 	if (sdram_capabilities_dual_channel()) {
 		sysinfo->dual_channel = 1;
-		printk(BIOS_DEBUG, "This mainboard supports Dual Channel Operation.\n");
+		printk(DEBUG, "This mainboard supports Dual Channel Operation.\n");
 	} else {
 		sysinfo->dual_channel = 0;
-		printk(BIOS_DEBUG, "This mainboard supports only Single Channel Operation.\n");
+		printk(DEBUG, "This mainboard supports only Single Channel Operation.\n");
 	}
 
 	/**
@@ -342,10 +342,10 @@ static void sdram_get_dram_configuration
 		if (!sdram_capabilities_two_dimms_per_channel() && (i& 1))
 			continue;
 
-		printk(BIOS_DEBUG, "DDR II Channel %d Socket %d: ", (i >> 1), (i & 1));
+		printk(DEBUG, "DDR II Channel %d Socket %d: ", (i >> 1), (i & 1));
 
 		if (spd_read_byte(device, SPD_MEMORY_TYPE) != SPD_MEMORY_TYPE_SDRAM_DDR2) {
-			printk(BIOS_DEBUG, "N/A\n");
+			printk(DEBUG, "N/A\n");
 			continue;
 		}
 
@@ -363,29 +363,29 @@ static void sdram_get_dram_configuration
 		case 0x08:
 			switch (spd_read_byte(device, SPD_NUM_DIMM_BANKS) & 0x0f) {
 			case 1:
-				printk(BIOS_DEBUG, "x8DDS\n");
+				printk(DEBUG, "x8DDS\n");
 				sysinfo->dimm[i] = SYSINFO_DIMM_X8DDS;
 				break;
 			case 0:
-				printk(BIOS_DEBUG, "x8DS\n");
+				printk(DEBUG, "x8DS\n");
 				sysinfo->dimm[i] = SYSINFO_DIMM_X8DS;
 				break;
 			default:
-				printk(BIOS_DEBUG, "Unsupported.\n");
+				printk(DEBUG, "Unsupported.\n");
 			}
 			break;
 		case 0x10:
 			switch (spd_read_byte(device, SPD_NUM_DIMM_BANKS) & 0x0f) {
 			case 1:
-				printk(BIOS_DEBUG, "x16DS\n");
+				printk(DEBUG, "x16DS\n");
 				sysinfo->dimm[i] = SYSINFO_DIMM_X16DS;
 				break;
 			case 0:
-				printk(BIOS_DEBUG, "x16SS\n");
+				printk(DEBUG, "x16SS\n");
 				sysinfo->dimm[i] = SYSINFO_DIMM_X16SS;
 				break;
 			default:
-				printk(BIOS_DEBUG, "Unsupported.\n");
+				printk(DEBUG, "Unsupported.\n");
 			}
 			break;
 		default:
@@ -400,7 +400,7 @@ static void sdram_get_dram_configuration
 	}
 
 	if (!(dimm_mask & ((1 << DIMM_SOCKETS) - 1))) {
-		printk(BIOS_INFO, "Channel 0 has no memory populated.\n");
+		printk(INFO, "Channel 0 has no memory populated.\n");
 	}
 }
 
@@ -559,7 +559,7 @@ static void sdram_detect_cas_latency_and
 	}
 
 	if (sysinfo->memory_frequency && sysinfo->cas) {
-		printk(BIOS_DEBUG, "Memory will be driven at %dMHz with CAS=%d clocks\n",
+		printk(DEBUG, "Memory will be driven at %dMHz with CAS=%d clocks\n",
 				sysinfo->memory_frequency, sysinfo->cas);
 	} else {
 		die("Could not find common memory frequency and CAS\n");
@@ -602,7 +602,7 @@ static void sdram_detect_smallest_tRAS(s
 		die("DDR-II Module does not support this frequency (tRAS error)\n");
 	}
 
-	printk(BIOS_DEBUG, "tRAS = %d cycles\n", tRAS_cycles);
+	printk(DEBUG, "tRAS = %d cycles\n", tRAS_cycles);
 	sysinfo->tras = tRAS_cycles;
 }
 
@@ -643,7 +643,7 @@ static void sdram_detect_smallest_tRP(st
 		die("DDR-II Module does not support this frequency (tRP error)\n");
 	}
 
-	printk(BIOS_DEBUG, "tRP = %d cycles\n", tRP_cycles);
+	printk(DEBUG, "tRP = %d cycles\n", tRP_cycles);
 	sysinfo->trp = tRP_cycles;
 }
 
@@ -683,7 +683,7 @@ static void sdram_detect_smallest_tRCD(s
 		die("DDR-II Module does not support this frequency (tRCD error)\n");
 	}
 
-	printk(BIOS_DEBUG, "tRCD = %d cycles\n", tRCD_cycles);
+	printk(DEBUG, "tRCD = %d cycles\n", tRCD_cycles);
 	sysinfo->trcd = tRCD_cycles;
 }
 
@@ -723,7 +723,7 @@ static void sdram_detect_smallest_tWR(st
 		die("DDR-II Module does not support this frequency (tWR error)\n");
 	}
 
-	printk(BIOS_DEBUG, "tWR = %d cycles\n", tWR_cycles);
+	printk(DEBUG, "tWR = %d cycles\n", tWR_cycles);
 	sysinfo->twr = tWR_cycles;
 }
 
@@ -759,7 +759,7 @@ static void sdram_detect_smallest_tRFC(s
 			/* Can this happen? Go back to 127.5ns just to be sure
 			 * we don't run out of the array. This may be wrong
 			 */
-			printk(BIOS_DEBUG, "DIMM %d is 1Gb x16.. Please report.\n", i);
+			printk(DEBUG, "DIMM %d is 1Gb x16.. Please report.\n", i);
 			reg8 = 3;
 		}
 
@@ -775,7 +775,7 @@ static void sdram_detect_smallest_tRFC(s
 	}
 
 	sysinfo->trfc = tRFC_cycles[index];
-	printk(BIOS_DEBUG, "tRFC = %d cycles\n", tRFC_cycles[index]);
+	printk(DEBUG, "tRFC = %d cycles\n", tRFC_cycles[index]);
 }
 
 static void sdram_detect_smallest_refresh(struct sys_info * sysinfo)
@@ -807,7 +807,7 @@ static void sdram_detect_smallest_refres
 
 		die("DDR-II module has unsupported refresh value\n");
 	}
-	printk(BIOS_DEBUG, "Refresh: %s\n", sysinfo->refresh?"7.8us":"15.6us");
+	printk(DEBUG, "Refresh: %s\n", sysinfo->refresh?"7.8us":"15.6us");
 }
 
 static void sdram_verify_burst_length(struct sys_info * sysinfo)
@@ -1140,18 +1140,18 @@ static void sdram_rcomp_buffer_strength_
 
 	/* Dual Channel needs different tables. */
 	if (sdram_capabilities_dual_channel()) {
-		printk(BIOS_DEBUG, "Programming Dual Channel RCOMP\n");
+		printk(DEBUG, "Programming Dual Channel RCOMP\n");
 		strength_multiplier = dual_channel_strength_multiplier;
 		dual_channel = 1;
 		idx = 5 * sysinfo->dimm[0] +  sysinfo->dimm[2];
 	} else {
-		printk(BIOS_DEBUG, "Programming Single Channel RCOMP\n");
+		printk(DEBUG, "Programming Single Channel RCOMP\n");
 		strength_multiplier = single_channel_strength_multiplier;
 		dual_channel = 0;
 		idx = 5 * sysinfo->dimm[0] + sysinfo->dimm[1];
 	}
 
-	printk(BIOS_DEBUG, "Table Index: %d\n", idx);
+	printk(DEBUG, "Table Index: %d\n", idx);
 
 	MCHBAR8(G1SC) = strength_multiplier[idx * 8 + 0];
 	MCHBAR8(G2SC) = strength_multiplier[idx * 8 + 1];
@@ -1200,7 +1200,7 @@ static void sdram_program_dll_timings(st
 	u32 chan0dll = 0, chan1dll = 0;
 	int i;
 
-	printk(BIOS_DEBUG, "Programming DLL Timings... \n");
+	printk(DEBUG, "Programming DLL Timings... \n");
 
 	MCHBAR16(DQSMT) &= ~( (3 << 12) | (1 << 10) | ( 0xf << 0) );
 	MCHBAR16(DQSMT) |= (1 << 13) | (0xc << 0);
@@ -1252,7 +1252,7 @@ static void sdram_initialize_system_memo
 	u8 reg8;
 	u32 reg32;
 
-	printk(BIOS_DEBUG, "Initializing System Memory IO... \n");
+	printk(DEBUG, "Initializing System Memory IO... \n");
 	/* Enable Data Half Clock Pushout */
 	reg8 = MCHBAR8(C0HCTC);
 	reg8 &= ~0x1f;
@@ -1294,7 +1294,7 @@ static void sdram_enable_system_memory_i
 {
 	u32 reg32;
 
-	printk(BIOS_DEBUG, "Enabling System Memory IO... \n");
+	printk(DEBUG, "Enabling System Memory IO... \n");
 
 	reg32 = MCHBAR32(RCVENMT);
 	reg32 &= ~(0x3f << 6);
@@ -1404,7 +1404,7 @@ static struct dimm_size sdram_get_dimm_s
 	/* Don't die here, I have not come across any of these to test what
 	 * actually happens.
 	 */
-	printk(BIOS_ERR, "Assymetric DIMMs are not supported by this chipset\n");
+	printk(ERROR, "Assymetric DIMMs are not supported by this chipset\n");
 
 	sz.side2 -= (rows & 0x0f);		/* Subtract out rows on side 1 */
 	sz.side2 += ((rows >> 4) & 0x0f);	/* Add in rows on side 2 */
@@ -1448,7 +1448,7 @@ static void sdram_detect_dimm_size(struc
 
 		sysinfo->banksize[i * 2] = 1 << (sz.side1 - 28);
 
-		printk(BIOS_DEBUG, "DIMM %d side 0 = %d MB\n", i, sysinfo->banksize[i * 2] * 32 );
+		printk(DEBUG, "DIMM %d side 0 = %d MB\n", i, sysinfo->banksize[i * 2] * 32 );
 
 		if (!sz.side2)
 			continue;
@@ -1459,7 +1459,7 @@ static void sdram_detect_dimm_size(struc
 
 		sysinfo->banksize[(i * 2) + 1] = 1 << (sz.side2 - 28);
 
-		printk(BIOS_DEBUG, "DIMM %d side 1 = %d MB\n", i, sysinfo->banksize[(i * 2) + 1] * 32);
+		printk(DEBUG, "DIMM %d side 1 = %d MB\n", i, sysinfo->banksize[(i * 2) + 1] * 32);
 	}
 }
 
@@ -1468,7 +1468,7 @@ static int sdram_program_row_boundaries(
 	int i;
 	int cum0, cum1, tolud, tom;
 
-	printk(BIOS_DEBUG, "Setting RAM size... \n");
+	printk(DEBUG, "Setting RAM size... \n");
 
 	cum0 = 0;
 	for(i = 0; i < 2 * DIMM_SOCKETS; i++) {
@@ -1510,9 +1510,9 @@ static int sdram_program_row_boundaries(
 
 	pci_write_config8(PCI_DEV(0,0,0), TOLUD, tolud);
 
-	printk(BIOS_DEBUG, "C0DRB = 0x%08x\n", MCHBAR32(C0DRB0));
-	printk(BIOS_DEBUG, "C1DRB = 0x%08x\n", MCHBAR32(C1DRB0));
-	printk(BIOS_DEBUG, "TOLUD = 0x%04x\n", pci_read_config8(PCI_DEV(0,0,0), TOLUD));
+	printk(DEBUG, "C0DRB = 0x%08x\n", MCHBAR32(C0DRB0));
+	printk(DEBUG, "C1DRB = 0x%08x\n", MCHBAR32(C1DRB0));
+	printk(DEBUG, "TOLUD = 0x%04x\n", pci_read_config8(PCI_DEV(0,0,0), TOLUD));
 
 	pci_write_config16(PCI_DEV(0,0,0), TOM, tom);
 
@@ -1524,7 +1524,7 @@ static int sdram_set_row_attributes(stru
 	int i, value;
 	u16 dra0=0, dra1=0, dra = 0;
 
-	printk(BIOS_DEBUG, "Setting row attributes... \n");
+	printk(DEBUG, "Setting row attributes... \n");
 	for(i=0; i < 2 * DIMM_SOCKETS; i++) {
 		u16 device;
 		u8 columnsrows;
@@ -1564,8 +1564,8 @@ static int sdram_set_row_attributes(stru
 	MCHBAR16(C0DRA0) = dra0;
 	MCHBAR16(C1DRA0) = dra1;
 
-	printk(BIOS_DEBUG, "C0DRA = 0x%04x\n", dra0);
-	printk(BIOS_DEBUG, "C1DRA = 0x%04x\n", dra1);
+	printk(DEBUG, "C0DRA = 0x%04x\n", dra0);
+	printk(DEBUG, "C1DRA = 0x%04x\n", dra1);
 
 	return 0;
 }
@@ -1590,7 +1590,7 @@ static void sdram_set_bank_architecture(
 		if (sysinfo->banks[i] != 8)
 			continue;
 
-		printk(BIOS_SPEW, "DIMM%d has 8 banks.\n", i);
+		printk(SPEW, "DIMM%d has 8 banks.\n", i);
 
 		if (i & 1)
 			MCHBAR16(off32) |= 0x50;
@@ -1855,7 +1855,7 @@ static void sdram_set_channel_mode(struc
 {
 	u32 reg32;
 
-	printk(BIOS_DEBUG, "Setting mode of operation for memory channels...");
+	printk(DEBUG, "Setting mode of operation for memory channels...");
 
 	if (sdram_capabilities_interleave() &&
 		    ( ( sysinfo->banksize[0] + sysinfo->banksize[1] +
@@ -1873,21 +1873,21 @@ static void sdram_set_channel_mode(struc
 
 	if(sysinfo->interleaved) {
 		/* Dual Channel Interleaved */
-		printk(BIOS_DEBUG, "Dual Channel Interleaved.\n");
+		printk(DEBUG, "Dual Channel Interleaved.\n");
 		reg32 |= (1 << 1);
 	} else if (sysinfo->dimm[0] == SYSINFO_DIMM_NOT_POPULATED &&
 			sysinfo->dimm[1] == SYSINFO_DIMM_NOT_POPULATED) {
 		/* Channel 1 only */
-		printk(BIOS_DEBUG, "Single Channel 1 only.\n");
+		printk(DEBUG, "Single Channel 1 only.\n");
 		reg32 |= (1 << 2);
 	} else if (sdram_capabilities_dual_channel() && sysinfo->dimm[2] !=
 			SYSINFO_DIMM_NOT_POPULATED) {
 		/* Dual Channel Assymetric */
-		printk(BIOS_DEBUG, "Dual Channel Assymetric.\n");
+		printk(DEBUG, "Dual Channel Assymetric.\n");
 		reg32 |= (1 << 0);
 	} else {
 		/* All bits 0 means Single Channel 0 operation */
-		printk(BIOS_DEBUG, "Single Channel 0 only.\n");
+		printk(DEBUG, "Single Channel 0 only.\n");
 	}
 
 	reg32 |= (1 << 10);
@@ -1937,14 +1937,14 @@ static void sdram_program_graphics_frequ
 #define VOLTAGE_1_05	0x00
 #define VOLTAGE_1_50	0x01
 
-	printk(BIOS_DEBUG, "Setting Graphics Frequency... \n");
+	printk(DEBUG, "Setting Graphics Frequency... \n");
 
-	printk(BIOS_DEBUG, "FSB: %d MHz ", sysinfo->fsb_frequency);
+	printk(DEBUG, "FSB: %d MHz ", sysinfo->fsb_frequency);
 
 	voltage = VOLTAGE_1_05;
 	if (MCHBAR32(DFT_STRAP1) & (1 << 20))
 		voltage = VOLTAGE_1_50;
-	printk(BIOS_DEBUG, "Voltage: %s ", (voltage==VOLTAGE_1_05)?"1.05V":"1.5V");
+	printk(DEBUG, "Voltage: %s ", (voltage==VOLTAGE_1_05)?"1.05V":"1.5V");
 
 	/* Gate graphics hardware for frequency change */
 	reg8 = pci_read_config16(PCI_DEV(0,2,0), GCFC + 1);
@@ -1974,12 +1974,12 @@ static void sdram_program_graphics_frequ
 			freq = CRCLK_166MHz;
 	}
 
-	printk(BIOS_DEBUG, "Render: ");
+	printk(DEBUG, "Render: ");
 	switch (freq) {
-	case CRCLK_166MHz: printk(BIOS_DEBUG, "166Mhz"); break;
-	case CRCLK_200MHz: printk(BIOS_DEBUG, "200Mhz"); break;
-	case CRCLK_250MHz: printk(BIOS_DEBUG, "250Mhz"); break;
-	case CRCLK_400MHz: printk(BIOS_DEBUG, "400Mhz"); break;
+	case CRCLK_166MHz: printk(DEBUG, "166Mhz"); break;
+	case CRCLK_200MHz: printk(DEBUG, "200Mhz"); break;
+	case CRCLK_250MHz: printk(DEBUG, "250Mhz"); break;
+	case CRCLK_400MHz: printk(DEBUG, "400Mhz"); break;
 	}
 
 	if (i945_silicon_revision() == 0) {
@@ -2024,10 +2024,10 @@ static void sdram_program_graphics_frequ
 
 	if (voltage == VOLTAGE_1_05) {
 		reg8 |= CDCLK_200MHz;
-		printk(BIOS_DEBUG, " Display: 200MHz\n");
+		printk(DEBUG, " Display: 200MHz\n");
 	} else {
 		reg8 |= CDCLK_320MHz;
-		printk(BIOS_DEBUG, " Display: 320MHz\n");
+		printk(DEBUG, " Display: 320MHz\n");
 	}
 	pci_write_config8(PCI_DEV(0,2,0), GCFC, reg8);
 
@@ -2053,21 +2053,21 @@ static void sdram_program_memory_frequen
 	offset++;
 #endif
 
-	printk(BIOS_DEBUG, "Setting Memory Frequency... ");
+	printk(DEBUG, "Setting Memory Frequency... ");
 
 	clkcfg = MCHBAR32(CLKCFG);
 
-	printk(BIOS_DEBUG, "CLKCFG=0x%08x, ", clkcfg);
+	printk(DEBUG, "CLKCFG=0x%08x, ", clkcfg);
 
 	clkcfg &= ~( (1 << 12) | (1 << 7) | ( 7 << 4) );
 
 	if (sysinfo->mvco4x) {
-		printk(BIOS_DEBUG, "MVCO 4x, ");
+		printk(DEBUG, "MVCO 4x, ");
 		clkcfg &= ~(1 << 12);
 	}
 
 	if (sysinfo->clkcfg_bit7) {
-		printk(BIOS_DEBUG, "second VCO, ");
+		printk(DEBUG, "second VCO, ");
 
 		clkcfg |= (1 << 7);
 	}
@@ -2080,7 +2080,7 @@ static void sdram_program_memory_frequen
 	}
 
 	if (MCHBAR32(CLKCFG) == clkcfg) {
-		printk(BIOS_DEBUG, "ok (unchanged)\n");
+		printk(DEBUG, "ok (unchanged)\n");
 		return;
 	}
 
@@ -2121,8 +2121,8 @@ cache_code:
 	goto vco_update;
 out:
 
-	printk(BIOS_DEBUG, "CLKCFG=0x%08x, ", MCHBAR32(CLKCFG));
-	printk(BIOS_DEBUG, "ok\n");
+	printk(DEBUG, "CLKCFG=0x%08x, ", MCHBAR32(CLKCFG));
+	printk(DEBUG, "ok\n");
 }
 
 static void sdram_program_clock_crossing(void)
@@ -2225,28 +2225,28 @@ static void sdram_program_clock_crossing
 	};
 #endif
 
-	printk(BIOS_DEBUG, "Programming Clock Crossing...");
+	printk(DEBUG, "Programming Clock Crossing...");
 
-	printk(BIOS_DEBUG, "MEM=");
+	printk(DEBUG, "MEM=");
 	switch (memclk()) {
-	case 400:	printk(BIOS_DEBUG, "400"); idx += 0; break;
-	case 533:	printk(BIOS_DEBUG, "533"); idx += 2; break;
-	case 667:	printk(BIOS_DEBUG, "667"); idx += 4; break;
-	default: printk(BIOS_DEBUG, "RSVD %x", memclk()); return;
+	case 400:	printk(DEBUG, "400"); idx += 0; break;
+	case 533:	printk(DEBUG, "533"); idx += 2; break;
+	case 667:	printk(DEBUG, "667"); idx += 4; break;
+	default: printk(DEBUG, "RSVD %x", memclk()); return;
 	}
 
-	printk(BIOS_DEBUG, " FSB=");
+	printk(DEBUG, " FSB=");
 	switch (fsbclk()) {
-	case 400:	printk(BIOS_DEBUG, "400"); idx += 0; break;
-	case 533:	printk(BIOS_DEBUG, "533"); idx += 6; break;
-	case 667:	printk(BIOS_DEBUG, "667"); idx += 12; break;
-	case 800:	printk(BIOS_DEBUG, "800"); idx += 18; break;
-	case 1066:	printk(BIOS_DEBUG, "1066"); idx += 24; break;
-	default: printk(BIOS_DEBUG, "RSVD %x\n", fsbclk()); return;
+	case 400:	printk(DEBUG, "400"); idx += 0; break;
+	case 533:	printk(DEBUG, "533"); idx += 6; break;
+	case 667:	printk(DEBUG, "667"); idx += 12; break;
+	case 800:	printk(DEBUG, "800"); idx += 18; break;
+	case 1066:	printk(DEBUG, "1066"); idx += 24; break;
+	default: printk(DEBUG, "RSVD %x\n", fsbclk()); return;
 	}
 
 	if (command_clock_crossing[idx]==0xffffffff) {
-		printk(BIOS_DEBUG, "Invalid MEM/FSB combination!\n");
+		printk(DEBUG, "Invalid MEM/FSB combination!\n");
 	}
 
 	MCHBAR32(CCCFT + 0) = command_clock_crossing[idx];
@@ -2257,7 +2257,7 @@ static void sdram_program_clock_crossing
 	MCHBAR32(C1DCCFT + 0) = data_clock_crossing[idx];
 	MCHBAR32(C1DCCFT + 4) = data_clock_crossing[idx + 1];
 
-	printk(BIOS_DEBUG, "... ok\n");
+	printk(DEBUG, "... ok\n");
 }
 
 static void sdram_disable_fast_dispatch(void)
@@ -2572,7 +2572,7 @@ static void sdram_power_management(struc
 #ifdef C2_SELF_REFRESH_DISABLE
 
 	if (integrated_graphics) {
-		printk(BIOS_DEBUG, "C2 self-refresh with IGD\n");
+		printk(DEBUG, "C2 self-refresh with IGD\n");
 		MCHBAR16(MIPMC4) = 0x0468;
 		MCHBAR16(MIPMC5) = 0x046c;
 		MCHBAR16(MIPMC6) = 0x046c;
@@ -2731,7 +2731,7 @@ static void sdram_on_die_termination(str
 
 	if ( !(sysinfo->dimm[0] != SYSINFO_DIMM_NOT_POPULATED &&
 			sysinfo->dimm[1] != SYSINFO_DIMM_NOT_POPULATED) ) {
-		printk(BIOS_DEBUG, "one dimm per channel config.. \n");
+		printk(DEBUG, "one dimm per channel config.. \n");
 
 		reg32 = MCHBAR32(C0ODT);
 		reg32 &= ~(7 << 28);
@@ -2835,7 +2835,7 @@ static void sdram_jedec_enable(struct sy
 			continue;
 		}
 
-		printk(BIOS_DEBUG, "jedec enable sequence: bank %d\n", i);
+		printk(DEBUG, "jedec enable sequence: bank %d\n", i);
 		switch (i) {
 		case 0:
 			/* Start at address 0 */
@@ -2848,7 +2848,7 @@ static void sdram_jedec_enable(struct sy
 			}
 		default:
 			if (nonzero != -1) {
-				printk(BIOS_DEBUG, "bankaddr from bank size of rank %d\n", nonzero);
+				printk(DEBUG, "bankaddr from bank size of rank %d\n", nonzero);
 				bankaddr += sysinfo->banksize[nonzero] <<
 					(sysinfo->interleaved ? 26 : 25);
 				break;
@@ -3013,7 +3013,7 @@ void sdram_initialize(int boot_path)
 
 	sdram_detect_errors();
 
-	printk(BIOS_DEBUG, "Setting up RAM controller.\n");
+	printk(DEBUG, "Setting up RAM controller.\n");
 
 	memset(&sysinfo, 0, sizeof(sysinfo));
 
@@ -3134,7 +3134,7 @@ void sdram_initialize(int boot_path)
 	reg8 &= ~(1 << 7);
 	pci_write_config8(PCI_DEV(0, 0x1f, 0), 0xa2, reg8);
 
-	printk(BIOS_DEBUG, "RAM initialization finished.\n");
+	printk(DEBUG, "RAM initialization finished.\n");
 
 	sdram_setup_processor_side();
 }
Index: svn/src/northbridge/intel/i945/rcven.c
===================================================================
--- svn.orig/src/northbridge/intel/i945/rcven.c
+++ svn/src/northbridge/intel/i945/rcven.c
@@ -67,7 +67,7 @@ static void set_receive_enable(int chann
 {
 	u32 reg32;
 
-	printk(BIOS_SPEW, "    set_receive_enable() medium=0x%x, coarse=0x%x\n", medium, coarse);
+	printk(SPEW, "    set_receive_enable() medium=0x%x, coarse=0x%x\n", medium, coarse);
 
 	reg32 = MCHBAR32(C0DRT1 + channel_offset);
 	reg32 &= 0xf0ffffff;
@@ -76,7 +76,7 @@ static void set_receive_enable(int chann
 
 	/* This should never happen: */
 	if (coarse > 0x0f)
-		printk(BIOS_DEBUG, "set_receive_enable: coarse overflow: 0x%02x.\n", coarse);
+		printk(DEBUG, "set_receive_enable: coarse overflow: 0x%02x.\n", coarse);
 
 	/* medium control
 	 *
@@ -102,7 +102,7 @@ static void set_receive_enable(int chann
 
 static int normalize(int channel_offset, u8 * mediumcoarse, u8 * fine)
 {
-	printk(BIOS_SPEW, "  normalize()\n");
+	printk(SPEW, "  normalize()\n");
 
 	if (*fine < 0x80)
 		return 0;
@@ -111,7 +111,7 @@ static int normalize(int channel_offset,
 	*mediumcoarse += 1;
 
 	if (*mediumcoarse >= 0x40) {
-		printk(BIOS_DEBUG, "Normalize Error\n");
+		printk(DEBUG, "Normalize Error\n");
 		return -1;
 	}
 
@@ -129,11 +129,11 @@ static int find_preamble(int channel_off
 	/* find start of the data phase */
 	u32 reg32;
 
-	printk(BIOS_SPEW, "  find_preamble()\n");
+	printk(SPEW, "  find_preamble()\n");
 
 	do {
 		if (*mediumcoarse < 4) {
-			printk(BIOS_DEBUG, "No Preamble found.\n");
+			printk(DEBUG, "No Preamble found.\n");
 			return -1;
 		}
 		*mediumcoarse -= 4;
@@ -146,7 +146,7 @@ static int find_preamble(int channel_off
 	} while (reg32 & (1 << 19));
 
 	if (!(reg32 & (1 << 18))) {
-		printk(BIOS_DEBUG, "No Preamble found (neither high nor low).\n");
+		printk(DEBUG, "No Preamble found (neither high nor low).\n");
 		return -1;
 	}
 
@@ -159,14 +159,14 @@ static int find_preamble(int channel_off
 
 static int add_quarter_clock(int channel_offset, u8 * mediumcoarse, u8 * fine)
 {
-	printk(BIOS_SPEW, "  add_quarter_clock() mediumcoarse=%02x fine=%02x\n",
+	printk(SPEW, "  add_quarter_clock() mediumcoarse=%02x fine=%02x\n",
 			*mediumcoarse, *fine);
 	if (*fine >= 0x80) {
 		*fine -= 0x80;
 
 		*mediumcoarse += 2;
 		if (*mediumcoarse >= 0x40) {
-			printk(BIOS_DEBUG, "clocks at max.\n");
+			printk(DEBUG, "clocks at max.\n");
 			return -1;
 		}
 
@@ -186,7 +186,7 @@ static int find_strobes_low(int channel_
 {
 	u32 rcvenmt;
 
-	printk(BIOS_SPEW, "  find_strobes_low()\n");
+	printk(SPEW, "  find_strobes_low()\n");
 
 	for (;;) {
 		MCHBAR8(C0WL0REOST + channel_offset) = *fine;
@@ -211,7 +211,7 @@ static int find_strobes_low(int channel_
 
 	}
 
-	printk(BIOS_DEBUG, "Could not find low strobe\n");
+	printk(DEBUG, "Could not find low strobe\n");
 	return 0;
 }
 
@@ -222,7 +222,7 @@ static int find_strobes_edge(int channel
 	int counter;
 	u32 rcvenmt;
 
-	printk(BIOS_SPEW, "  find_strobes_edge()\n");
+	printk(SPEW, "  find_strobes_edge()\n");
 
 	counter = 8;
 	set_receive_enable(channel_offset, *mediumcoarse & 3,
@@ -257,7 +257,7 @@ static int find_strobes_edge(int channel
 			continue;
 		}
 
-		printk(BIOS_DEBUG, "Could not find rising edge.\n");
+		printk(DEBUG, "Could not find rising edge.\n");
 		return -1;
 	}
 
@@ -286,7 +286,7 @@ static int receive_enable_autoconfig(int
 	u8 mediumcoarse;
 	u8 fine;
 
-	printk(BIOS_SPEW, "receive_enable_autoconfig() for channel %d\n",
+	printk(SPEW, "receive_enable_autoconfig() for channel %d\n",
 		    channel_offset ? 1 : 0);
 
 	/* Set initial values */
@@ -315,7 +315,7 @@ static int receive_enable_autoconfig(int
 	 * It can be removed when the output message is not printed anymore
 	 */
 	if (MCHBAR8(C0WL0REOST + channel_offset) == 0) {
-		printk(BIOS_DEBUG, "Weird. No C%sWL0REOST\n", channel_offset?"1":"0");
+		printk(DEBUG, "Weird. No C%sWL0REOST\n", channel_offset?"1":"0");
 	}
 
 	return 0;
Index: svn/src/northbridge/via/cn400/agp.c
===================================================================
--- svn.orig/src/northbridge/via/cn400/agp.c
+++ svn/src/northbridge/via/cn400/agp.c
@@ -36,7 +36,7 @@ static void agp_init(device_t dev)
 	int i, j;
 
 	/* Some of this may not be necessary (should be handled by the OS). */
-	printk(BIOS_DEBUG, "Enabling AGP.\n");
+	printk(DEBUG, "Enabling AGP.\n");
 
 	/* Allow R/W access to AGP registers. */
 	pci_write_config8(dev, 0x4d, 0x05);
@@ -113,17 +113,17 @@ static void agp_init(device_t dev)
 	pci_write_config8(dev, 0xc1, 0x02);
 
 #ifdef DEBUG_CN400
-	printk(BIOS_SPEW, "%s PCI Header Regs::\n", dev_path(dev));
+	printk(SPEW, "%s PCI Header Regs::\n", dev_path(dev));
 
 	for (i = 0 ; i < 16; i++)
 	{
-		printk(BIOS_SPEW, "%02X: ", i*16);
+		printk(SPEW, "%02X: ", i*16);
 		for (j = 0; j < 16; j++)
 		{
 			reg8 = pci_read_config8(dev, j+(i*16));
-			printk(BIOS_SPEW, "%02X ", reg8);
+			printk(SPEW, "%02X ", reg8);
 		}
-		printk(BIOS_SPEW, "\n");
+		printk(SPEW, "\n");
 	}
 #endif
 }
@@ -170,7 +170,7 @@ static void agp_bridge_init(device_t dev
 	u8 reg8;
 	int i, j;
 
-	printk(BIOS_DEBUG, "Entering %s\n", __func__);
+	printk(DEBUG, "Entering %s\n", __func__);
 
 	pci_write_config16(dev, 0x4, 0x0107);
 
@@ -208,17 +208,17 @@ static void agp_bridge_init(device_t dev
 	pci_write_config8(dev, 0x44, 0x34);
 	pci_write_config8(dev, 0x45, 0x72);
 
-	printk(BIOS_SPEW, "%s PCI Header Regs::\n", dev_path(dev));
+	printk(SPEW, "%s PCI Header Regs::\n", dev_path(dev));
 
 	for (i = 0 ; i < 16; i++)
 	{
-		printk(BIOS_SPEW, "%02X: ", i*16);
+		printk(SPEW, "%02X: ", i*16);
 		for (j = 0; j < 16; j++)
 		{
 			reg8 = pci_read_config8(dev, j+(i*16));
-			printk(BIOS_SPEW, "%02X ", reg8);
+			printk(SPEW, "%02X ", reg8);
 		}
-		printk(BIOS_SPEW, "\n");
+		printk(SPEW, "\n");
 	}
 
 }
Index: svn/src/northbridge/via/cn400/northbridge.c
===================================================================
--- svn.orig/src/northbridge/via/cn400/northbridge.c
+++ svn/src/northbridge/via/cn400/northbridge.c
@@ -41,7 +41,7 @@ static void memctrl_init(device_t dev)
 	u8 ranks, pagec, paged, pagee, pagef, shadowreg, reg8;
 	int i, j;
 
-	printk(BIOS_SPEW, "Entering cn400 memctrl_init.\n");
+	printk(SPEW, "Entering cn400 memctrl_init.\n");
 	/* vlink mirror */
 	vlink_dev = dev_find_device(PCI_VENDOR_ID_VIA,
 				    PCI_DEVICE_ID_VIA_CN400_VLINK, 0);
@@ -53,7 +53,7 @@ static void memctrl_init(device_t dev)
 	reg16 = (((u16)(ranks - 1) << 9) & 0xFFF0) | 0x01F0;
 
 	pci_write_config16(dev, 0x84, reg16);
-	printk(BIOS_SPEW, "Low Top Address = 0x%04X\n", reg16);
+	printk(SPEW, "Low Top Address = 0x%04X\n", reg16);
 
 	/* Set up the VGA framebuffer size and Base Address   */
 	/* Note dependencies between agp.c and vga.c and here */
@@ -110,20 +110,20 @@ static void memctrl_init(device_t dev)
 	pci_write_config8(dev, 0xA0, reg8);
 
 #ifdef DEBUG_CN400
-	printk(BIOS_SPEW, "%s PCI Header Regs::\n", dev_path(dev));
+	printk(SPEW, "%s PCI Header Regs::\n", dev_path(dev));
 
 	for (i = 0 ; i < 16; i++)
 	{
-		printk(BIOS_SPEW, "%02X: ", i*16);
+		printk(SPEW, "%02X: ", i*16);
 		for (j = 0; j < 16; j++)
 		{
 			reg8 = pci_read_config8(dev, j+(i*16));
-			printk(BIOS_SPEW, "%02X ", reg8);
+			printk(SPEW, "%02X ", reg8);
 		}
-		printk(BIOS_SPEW, "\n");
+		printk(SPEW, "\n");
 	}
 #endif
-	printk(BIOS_SPEW, "Leaving cn400 %s.\n", __func__);
+	printk(SPEW, "Leaving cn400 %s.\n", __func__);
 }
 
 static const struct device_operations memctrl_operations = {
@@ -144,7 +144,7 @@ static void cn400_domain_read_resources(
 {
 	struct resource *resource;
 
-	printk(BIOS_SPEW, "Entering %s.\n", __func__);
+	printk(SPEW, "Entering %s.\n", __func__);
 
 	/* Initialize the system wide I/O space constraints. */
 	resource = new_resource(dev, IOINDEX_SUBTRACTIVE(0, 0));
@@ -158,7 +158,7 @@ static void cn400_domain_read_resources(
 	resource->flags = IORESOURCE_MEM | IORESOURCE_SUBTRACTIVE |
 	    IORESOURCE_ASSIGNED;
 
-	printk(BIOS_SPEW, "Leaving %s.\n", __func__);
+	printk(SPEW, "Leaving %s.\n", __func__);
 }
 
 static void ram_resource(device_t dev, unsigned long index,
@@ -180,7 +180,7 @@ static void ram_reservation(device_t dev
 {
 	struct resource *res;
 
-	printk(BIOS_SPEW, "Configuring Via C3 LAPIC Fixed Resource\n");
+	printk(SPEW, "Configuring Via C3 LAPIC Fixed Resource\n");
 	/* Fixed LAPIC resource */
 	res = new_resource(dev, 1);
 	res->base = (resource_t) base;
@@ -205,7 +205,7 @@ static u32 find_pci_tolm(struct bus *bus
 	struct resource *min = NULL;
 	u32 tolm;
 
-	printk(BIOS_SPEW, "Entering CN400 find_pci_tolm\n");
+	printk(SPEW, "Entering CN400 find_pci_tolm\n");
 
 	search_bus_resources(bus, IORESOURCE_MEM, IORESOURCE_MEM,
 			     tolm_test, &min);
@@ -213,7 +213,7 @@ static u32 find_pci_tolm(struct bus *bus
 	if (min && tolm > min->base)
 		tolm = min->base;
 
-	printk(BIOS_SPEW, "Leaving CN400 find_pci_tolm\n");
+	printk(SPEW, "Leaving CN400 find_pci_tolm\n");
 
 	return tolm;
 }
@@ -229,7 +229,7 @@ static void cn400_domain_set_resources(d
 	device_t mc_dev;
 	u32 pci_tolm;
 
-	printk(BIOS_SPEW, "Entering %s.\n", __func__);
+	printk(SPEW, "Entering %s.\n", __func__);
 
 	pci_tolm = find_pci_tolm(&dev->link[0]);
 	mc_dev = dev_find_device(PCI_VENDOR_ID_VIA,
@@ -244,7 +244,7 @@ static void cn400_domain_set_resources(d
 		tomk = rambits * 32 * 1024;
 		/* Compute the Top Of Low Memory (TOLM), in Kb. */
 		tolmk = pci_tolm >> 10;
-		printk(BIOS_SPEW, "tomk is 0x%lx, tolmk is 0x%08lX\n", tomk, tolmk);
+		printk(SPEW, "tomk is 0x%lx, tolmk is 0x%08lX\n", tomk, tolmk);
 		if (tolmk >= tomk) {
 			/* The PCI hole does does not overlap the memory. */
 			tolmk = tomk;
@@ -254,7 +254,7 @@ static void cn400_domain_set_resources(d
 		/* Locate the High Tables at the Top of Low Memory below the Video RAM */
 		high_tables_base = (uint64_t) (tolmk - (CONFIG_VIDEO_MB *1024) - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = (uint64_t) HIGH_TABLES_SIZE* 1024;
-		printk(BIOS_SPEW, "tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
+		printk(SPEW, "tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
 #endif
 
 		/* Report the memory regions. */
@@ -267,12 +267,12 @@ static void cn400_domain_set_resources(d
 	}
 	assign_resources(&dev->link[0]);
 	
-	printk(BIOS_SPEW, "Leaving %s.\n", __func__);
+	printk(SPEW, "Leaving %s.\n", __func__);
 }
 
 static unsigned int cn400_domain_scan_bus(device_t dev, unsigned int max)
 {
-	printk(BIOS_DEBUG, "Entering %s.\n", __func__);
+	printk(DEBUG, "Entering %s.\n", __func__);
 
 	max = pci_scan_bus(&dev->link[0], PCI_DEVFN(0, 0), 0xff, max);
 	return max;
@@ -305,7 +305,7 @@ static const struct device_operations cp
 
 static void enable_dev(struct device *dev)
 {
-	printk(BIOS_SPEW, "In cn400 enable_dev for device %s.\n", dev_path(dev));
+	printk(SPEW, "In cn400 enable_dev for device %s.\n", dev_path(dev));
 
 	/* Set the operations if it is a special bus type. */
 	if (dev->path.type == DEVICE_PATH_PCI_DOMAIN) {
